#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
#include <math.h>

using namespace std;

typedef long long ll;

int main()
{
    long t;
    scanf("%ld",&t);
    for (long _t=0;_t<t;_t++)
    {
        ll a,b,k=0;
        scanf("%lld%lld",&a,&b);
        for (long long i=1;i<=sqrt(a);i++)
        {
            if (a%i==0)
            {
                long long j=a/i;
                if (b==ll(i^j))
                {
                    printf("%lld %lld\n",i,j);
                    k=1;
                    break;
                }
            }
        }
        if (k==0) printf("-1\n");
    }
    long long l=1,d=3;
    cout << long(l^d);
    return 0;
}